Create EDLs
Create a new Expected Document List.
POST
/api/{version}/vobjects/study__v/{study_id}/actions/etmfcreateedlHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{study_id} | The ID of the study. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
applyWhereEdlItemsExist | Optional: If set to true, the Create EDL job is applied to existing EDLs. If omitted, defaults to false. This is analogous to the Apply template where expected documents already exist option in the Vault UI. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
https://myvault.veevavault.com/api/v26.1/vobjects/study__v/00S07710/actions/etmfcreateedlResponse
Section link for Response{
"responseStatus": "SUCCESS",
"url": "https://myvault.veevavault.com/api/v26.1/services/jobs/1201",
"job_id": 1201
}